package org.jeecg.modules.adweb.dmp.dto.google.analytics.report.data;

import org.jeecg.modules.adweb.dmp.dto.google.analytics.report.ReportType;

import java.util.*;

/**
 * Represents a flexible GA report for {@link ReportType#ADWEB_CUSTOM_REPORT}, structured as a
 * {@link Map} collection.
 *
 * <p>This {@link Map} contains two types of key-value pairs:
 *
 * <ul>
 *   <li><strong>Dimensions:</strong>
 *       <ul>
 *         <li><strong>Key:</strong> the name of the dimension.
 *         <li><strong>Value:</strong> the value of the dimension.
 *       </ul>
 *   <li><strong>Metrics:</strong>
 *       <ul>
 *         <li><strong>Key:</strong> the name of the metric.
 *         <li><strong>Value:</strong> the value of the metric.
 *       </ul>
 * </ul>
 *
 * <p>This structure allows for flexible representation of both dimensions and metrics in custom GA
 * reports.
 *
 * @author wfansh
 */
public class CustomReportData extends LinkedHashMap<String, String> implements GAReportDataDTO {

    private CustomReportData() {}
}
