package org.jeecg.modules.adweb.dmp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: dmp_ga_daily_report
 * @Author: jeecg-boot
 * @Date:   2024-11-04
 * @Version: V1.0
 */
@Data
@TableName("dmp_ga_daily_report")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="dmp_ga_daily_report")
public class GADailyReport implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Long id;
    /**站点code*/
    @Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**统计时间*/
	@Excel(name = "统计时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "统计时间")
    private Date date;
	/**访问量*/
	@Excel(name = "访问量", width = 15)
    @Schema(description = "访问量")
    private Integer totalUsers;
	/**新用户数量*/
	@Excel(name = "新用户数量", width = 15)
    @Schema(description = "新用户数量")
    private Integer newUsers;
	/**会话数量*/
	@Excel(name = "会话数量", width = 15)
    @Schema(description = "会话数量")
    private Integer sessions;
	/**bounceRate*/
	@Excel(name = "bounceRate", width = 15)
    @Schema(description = "bounceRate")
    private Double bounceRate;
	/**avgSessionDuration*/
	@Excel(name = "avgSessionDuration", width = 15)
    @Schema(description = "avgSessionDuration")
    private Double avgSessionDuration;
    /**页面访问量*/
    @Excel(name = "页面访问量", width = 15)
    @Schema(description = "页面访问量")
    private Integer pageViews;
    /**pageViewsPerSession*/
	@Excel(name = "pageViewsPerSession", width = 15)
    @Schema(description = "pageViewsPerSession")
    private Double pageViewsPerSession;
	/**ctime*/
	@Excel(name = "ctime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "ctime")
    private Date ctime;
}
