package org.jeecg.modules.adweb.dmp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: dmp_ga_page_path_report
 * @Author: jeecg-boot
 * @Date:   2024-10-11
 * @Version: V1.0
 */
@Data
@TableName("dmp_ga_page_path_report")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="dmp_ga_page_path_report")
public class GAPagePathReport implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Long id;
    /**站点code*/
    @Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**统计时间*/
	@Excel(name = "统计时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "统计时间")
    private Date date;
	/**pagePath*/
	@Excel(name = "pagePath", width = 15)
    @Schema(description = "pagePath")
    private String pagePath;
	/**engagementRate*/
	@Excel(name = "engagementRate", width = 15)
    @Schema(description = "engagementRate")
    private Double engagementRate;
	/**页面访问量*/
	@Excel(name = "页面访问量", width = 15)
    @Schema(description = "页面访问量")
    private Integer pageViews;
	/**avgTimeOnPage*/
	@Excel(name = "avgTimeOnPage", width = 15)
    @Schema(description = "avgTimeOnPage")
    private Double avgTimeOnPage;
	/**ctime*/
	@Excel(name = "ctime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "ctime")
    private Date ctime;
}
