package org.jeecg.modules.adweb.dmp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: dmp_google_gtm
 * @Author: jeecg-boot
 * @Date:   2024-10-10
 * @Version: V1.0
 */
@Data
@TableName("dmp_google_gtm")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="dmp_google_gtm")
public class GoogleGTM implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**站点code*/
	@Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**uid*/
	@Excel(name = "uid", width = 15)
    @Schema(description = "uid")
    private String uid;
	/**gtmAccountId*/
	@Excel(name = "gtmAccountId", width = 15)
    @Schema(description = "gtmAccountId")
    private String gtmAccountId;
	/**gtmContainerId*/
	@Excel(name = "gtmContainerId", width = 15)
    @Schema(description = "gtmContainerId")
    private String gtmContainerId;
	/**gtmTagId*/
	@Excel(name = "gtmTagId", width = 15)
    @Schema(description = "gtmTagId")
    private String gtmTagId;
	/**gaAccountId*/
	@Excel(name = "gaAccountId", width = 15)
    @Schema(description = "gaAccountId")
    private String gaAccountId;
	/**gaPropertyId*/
	@Excel(name = "gaPropertyId", width = 15)
    @Schema(description = "gaPropertyId")
    private String gaPropertyId;
	/**GA数据版本，V3,V4*/
	@Excel(name = "GA数据版本，V3,V4", width = 15)
    @Schema(description = "GA数据版本，V3,V4")
    private String gaVersion;
	/**gaSiteUrl*/
	@Excel(name = "gaSiteUrl", width = 15)
    @Schema(description = "gaSiteUrl")
    private String gaSiteUrl;
	/**gaTagId*/
	@Excel(name = "gaTagId", width = 15)
    @Schema(description = "gaTagId")
    private String gaTagId;
	/**ctime*/
	@Excel(name = "ctime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "ctime")
    private Date ctime;
}
