package org.jeecg.modules.adweb.enquiry.dto.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class EnquiryListDto {
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;
    //询盘编号（系统生成）
    private String no;
    private String noOut;
    //询盘创建时间（发起时间）
    private Date recordCtime;
    //询盘业务模块
    private String modular;
    //询盘联系人
    private String contact;
    //询盘内容
    private String context;
    //询盘发送邮箱
    private String fromEmail;
    //国家/地区
    private String country;
    //发送询盘的站点
    private String siteHost;
    //用户有效性
    private Integer userEffective;
    //回复状态
    private String replayStatus;
    private Integer status;
    private Integer siteId;
    private String siteCode;

    private List<String> job;
    // 简历路径
    private String path;
    /**
     * 后台处理字段
     */

    //来源页面
    private String fromPage;
    //电话
    private String phone;
    //表单公司
    private String formCompany;
    //用户有效性
    private String userEffectiveStr;
    //敏感词
    private String sensitiveMessage;
    //系统有效性
    private Integer sysEffective;
    private String siteName;
    private String transContent;
    private String cartItems;

    /**
     * 用于前端默认展示第一行数据
     */
    private Integer dataIndex;

    private String whatsApp;

    private String wasteEnquiry;

    private String countryName;

    private String countryCode;

    private Integer readStatus;

    private String fromIp;

    private String customerIp;

    private String visitId;

    private String principalUid;

    /**
     * 特殊字段名
     */
    private String specialField;

    private List<EnquirySpecialFields> specialFieldList;

    /**
     * 疑似垃圾询盘理由
     */
    private String effectiveReason;

    /**
     * 询盘来源插件名称
     */
    private String pluginName;

    private String wasteEnquiryType;
}
