package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_enquiry_blacklist
 * @Author: jeecg-boot
 * @Date: 2022-08-05
 * @Version: V1.0
 */
@Data
@TableName("adweb_enquiry_blacklist")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "adweb_enquiry_blacklist")
public class AdwebEnquiryBlacklist implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
    private Integer siteId;
    /**
     * 来源询盘
     */
    @Excel(name = "来源询盘", width = 15)
    @Schema(description = "来源询盘")
    private Long enquiryId;
    /**
     * 姓名
     */
    @Excel(name = "姓名", width = 15)
    @Schema(description = "姓名")
    private String name;
    /**
     * 邮箱
     */
    @Excel(name = "邮箱", width = 15)
    @Schema(description = "邮箱")
    private String email;
    /**
     * 电话
     */
    @Excel(name = "电话", width = 15)
    @Schema(description = "电话")
    private String phone;
    /**
     * whatsapp
     */
    @Excel(name = "whatsapp", width = 15)
    @Schema(description = "whatsapp")
    private String whatsapp;
    /**
     * 国家编码
     */
    @Excel(name = "国家编码", width = 15)
    @Schema(description = "国家编码")
    private String countryCode;
    /**
     * 国家名称
     */
    @Excel(name = "国家名称", width = 15)
    @Schema(description = "国家名称")
    private String countryName;
    /**
     * 0删除状态，1正常状态
     */
    @Excel(name = "0删除状态，1正常状态", width = 15)
    @Schema(description = "0删除状态，1正常状态")
    private Integer status;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "创建时间")
    private Date createTime;
}
