package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: adweb_enquiry_form
 * @Author: jeecg-boot
 * @Date:   2022-08-03
 * @Version: V1.0
 */
@Data
@TableName("adweb_enquiry_form")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_enquiry_form")
public class AdwebEnquiryForm implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**询盘id*/
	@Excel(name = "询盘id", width = 15)
    @Schema(description = "询盘id")
    private Long enquiryId;
	/**询盘的表单内容*/
	@Excel(name = "询盘的表单内容", width = 15)
    @Schema(description = "询盘的表单内容")
    private String form;
    /**询盘插件名称*/
    @Excel(name = "询盘插件名称", width = 15)
    @Schema(description = "询盘插件名称")
    private String pluginName;

    private String country;
}
