package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_enquiry_record
 * @Author: jeecg-boot
 * @Date: 2021-05-11
 * @Version: V1.0
 */
@Data
@TableName("adweb_enquiry_record")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "adweb_enquiry_record: 询盘跟踪记录信息")
public class AdwebEnquiryRecord implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Long id;
    /**
     * enquiryId
     */
    @Excel(name = "enquiryId", width = 15)
    @Schema(description = "enquiryId")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long enquiryId;
    /**
     * content
     */
    @Excel(name = "content", width = 15)
    @Schema(description = "content")
    private String content;
    /**
     * ctime
     */
    @Excel(name = "ctime", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "ctime")
    private Date ctime;
    /**
     * status
     */
    @Excel(name = "status", width = 15)
    @Schema(description = "status")
    private Integer status;
    /**
     * uid
     */
    @Excel(name = "uid", width = 15)
    @Schema(description = "uid")
    private String uid;

    @TableField(exist = false)
    private String realname;
}
