package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 询盘公共邮箱黑名单
 * @Author: jeecg-boot
 * @Date:   2023-02-15
 * @Version: V1.0
 */
@Data
@TableName("adweb_public_black_email")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="询盘公共邮箱黑名单")
public class AdwebPublicBlackEmail implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private Date createTime;
	/**邮箱*/
	@Excel(name = "邮箱", width = 15)
    @Schema(description = "邮箱")
    private String email;
    @Excel(name = "黑名单或白名单", width = 15)
    @Schema(description = "黑名单或白名单")
    private Integer blackOrWhite;
	/**0为已删除，1为使用中*/
	@Excel(name = "0为已删除，1为使用中", width = 15)
    @Schema(description = "0为已删除，1为使用中")
    private Integer status;

    @TableField(exist = false)
    private Integer wasteEnquiryNum;

    public AdwebPublicBlackEmail() {
    }

    public AdwebPublicBlackEmail(String email, Integer status, Integer blackOrWhite) {
        this.email = email;
        this.status = status;
        this.blackOrWhite = blackOrWhite;
    }
}
