package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 用于询盘公共规则过滤
 * @Author: jeecg-boot
 * @Date:   2024-10-17
 * @Version: V1.0
 */
@Data
@TableName("adweb_public_enquiry_rule")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="用于询盘规则过滤")
public class AdwebPublicEnquiryRule implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @Schema(description = "创建日期")
    private Date createTime;
	/**状态0为删除1为使用中*/
	@Excel(name = "状态0为删除1为使用中", width = 15)
    @Schema(description = "状态0为删除1为使用中")
    private Integer status;
	/**关键词*/
	@Excel(name = "关键词", width = 15)
    @Schema(description = "关键词")
    private String word;

    /**
     * 关键词翻译
     */
    @Excel(name = "关键词翻译", width = 15)
    @Schema(description = "关键词翻译")
	private String translateWord;

	/**黑名单或白名单0为黑名单，1为白名单*/
	@Excel(name = "黑名单或白名单0为黑名单，1为白名单", width = 15)
    @Schema(description = "黑名单或白名单0为黑名单，1为白名单")
    private Integer blackOrWhiteList;
	/**是否启用该字段1为启用0为停用*/
	@Excel(name = "是否启用该字段1为启用0为停用", width = 15)
    @Schema(description = "是否启用该字段1为启用0为停用")
    private Integer isEnable;

    @Excel(name = "1为openAi0为询盘关键词", width = 15)
    @Schema(description = "1为openAi0为询盘关键词")
    private Integer useStatus;

    @TableField(exist = false)
    private Integer wasteEnquiryNum;
}
