package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_site_black_email
 * @Author: jeecg-boot
 * @Date:   2024-10-17
 * @Version: V1.0
 */
@Data
@TableName("adweb_site_black_email")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_site_black_email")
public class AdwebSiteBlackEmail implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**站点id*/
	@Excel(name = "站点id", width = 15)
    @Schema(description = "站点id")
    private Integer siteId;
    /**站点code*/
    @Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**邮箱*/
	@Excel(name = "邮箱", width = 15)
    @Schema(description = "邮箱")
    private String email;
	/**黑名单类型，0：通配，1：完全匹配*/
	@Excel(name = "黑名单类型，0：通配，1：完全匹配", width = 15)
    @Schema(description = "黑名单类型，0：通配，1：完全匹配")
    private String type;
	/**0为已删除，1为使用中*/
	@Excel(name = "0为已删除，1为使用中", width = 15)
    @Schema(description = "0为已删除，1为使用中")
    private Integer status;
	/**0黑名单，1白名单*/
	@Excel(name = "0黑名单，1白名单", width = 15)
    @Schema(description = "0黑名单，1白名单")
    private Integer blackOrWhite;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "创建日期")
    private Date createTime;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "更新时间")
    private Date updateTime;

    /**站点名称*/
    @TableField(exist = false)
    private String siteName;

    /**
     * 完全匹配
     */
    @TableField(exist = false)
    private Integer wasteEnquiryNum;

    /**
     * 通配
     */
    @TableField(exist = false)
    private Integer wasteGeneralEnquiryNum;
}
