package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_site_black_ip
 * @Author: jeecg-boot
 * @Date:   2023-08-31
 * @Version: V1.0
 */
@Data
@TableName("adweb_site_black_ip")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_site_black_ip")
public class AdwebSiteBlackIp implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**站点id*/
	@Excel(name = "站点id", width = 15)
    @Schema(description = "站点id")
    private Integer siteId;
	/**站点code*/
	@Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @Schema(description = "状态")
    private Integer status;
	/**ip*/
	@Excel(name = "ip", width = 15)
    @Schema(description = "ip")
    private String ip;
	/**黑名单或白名单*/
	@Excel(name = "黑名单或白名单", width = 15)
    @Schema(description = "黑名单或白名单")
    private Integer blackOrWhite;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private Date createTime;

    /**站点名称*/
    @TableField(exist = false)
    private String siteName;

    @TableField(exist = false)
    private Integer wasteEnquiryNum;
}
