package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_enquiry_email_message
 * @Author: jeecg-boot
 * @Date:   2023-02-01
 * @Version: V1.0
 */
@Data
@TableName("adweb_enquiry_email_message")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_enquiry_email_message")
public class EnquiryEmailMessage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**询盘id*/
	@Excel(name = "询盘id", width = 15)
    @Schema(description = "询盘id")
    private Long enquiryId;
	/**站点code*/
	@Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**邮箱*/
	@Excel(name = "邮箱", width = 15)
    @Schema(description = "邮箱")
    private String email;
    /**原始询盘发送人邮箱*/
    @Excel(name = "原始询盘发送人邮箱", width = 15)
    @Schema(description = "邮箱")
    private String fromEmail;
	/**发送状态*/
	@Excel(name = "发送状态", width = 15)
    @Schema(description = "发送状态")
    private String sendStatus;
	/**发送错误数量*/
	@Excel(name = "发送错误数量", width = 15)
    @Schema(description = "发送错误数量")
    private Integer sendErrorNum;
	/**开始处理时间*/
	@Excel(name = "开始处理时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "开始处理时间")
    private Date sendStartTime;
	/**发送错误*/
	@Excel(name = "发送错误", width = 15)
    @Schema(description = "发送错误")
    private String sendErrorMsg;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "创建时间")
    private Date createTime;

}
