package org.jeecg.modules.adweb.enquiry.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adweb.enquiry.dto.param.EffectiveEnquiryParamDto;
import org.jeecg.modules.adweb.enquiry.entity.AdwebSiteBlackIp;

import java.util.List;

/**
 * @Description: adweb_site_black_ip
 * @Author: jeecg-boot
 * @Date:   2023-08-31
 * @Version: V1.0
 */
public interface IAdwebSiteBlackIpService extends IService<AdwebSiteBlackIp> {

    /**
     * 更改为垃圾询盘处理ip黑名单
     * @param effectiveEnquiryParamDto
     */
    void addBlackIpByContent(EffectiveEnquiryParamDto effectiveEnquiryParamDto);

    /**
     * 获取分页列表数据
     * @param page
     * @param adwebSiteBlackIp
     * @param codeList
     * @return
     */
    IPage<AdwebSiteBlackIp> pageList(Page<AdwebSiteBlackIp> page, AdwebSiteBlackIp adwebSiteBlackIp, List<String> codeList, String column, String order);
}
