package org.jeecg.modules.adweb.enquiry.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.adweb.enquiry.entity.AdwebEnquiry;
import org.jeecg.modules.adweb.enquiry.entity.EnquiryEmailMessage;

import java.util.List;

/**
 * @Description: adweb_enquiry_email_message
 * @Author: jeecg-boot
 * @Date:   2023-02-01
 * @Version: V1.0
 */
public interface IEnquiryEmailMessageService extends IService<EnquiryEmailMessage> {

     void sendEnquiryEmail(Long enquiryId);

     void sendEmailByMessage(EnquiryEmailMessage message);

     /**
      * 获取待发送询盘
      * 1、首次发送失败的
      * 2、超过timeout分钟未处理的
      *
      * @param timeout 留给首次实时处理的时间，单位分钟，超过这个时间则认为首次邮件发送失败，应该由定时器处理
      * @param num     获取邮件数量
      * @return 邮件列表
      */
     List<EnquiryEmailMessage> getWaitSendEmail(int timeout, int num);

    /**
     * 添加并发送询盘邮件
     * @param adwebEnquiry
     */
    Result<?> addAndEnquiryEmailMsg(AdwebEnquiry adwebEnquiry, String uid);
}
