package org.jeecg.modules.adweb.seo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: SEO关键词搜索排名
 * @Author: jeecg-boot
 * @Date:   2024-10-15
 * @Version: V1.0
 */
@Data
@TableName("seo_keywords_serp")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="SEO关键词搜索排名")
public class SeoKeywordsSerp implements Serializable {
    private static final long serialVersionUID = 1L;

	/**关键词搜索排名主键ID*/
	@Excel(name = "关键词搜索排名主键ID", width = 15)
    @Schema(description = "关键词搜索排名主键ID")
    private Integer serpId;
	/**关键词ID*/
	@Excel(name = "关键词ID", width = 15)
    @Schema(description = "关键词ID")
    private Integer keywordsId;
	/**搜索地址*/
	@Excel(name = "搜索地址", width = 15)
    @Schema(description = "搜索地址")
    private String searchUrl;
	/**搜索引擎域名*/
	@Excel(name = "搜索引擎域名", width = 15)
    @Schema(description = "搜索引擎域名")
    private String seDomain;
	/**搜索语言*/
	@Excel(name = "搜索语言", width = 15)
    @Schema(description = "搜索语言")
    private String languageCode;
	/**结果类型，如：organic、image、video等*/
	@Excel(name = "结果类型，如：organic、image、video等", width = 15)
    @Schema(description = "结果类型，如：organic、image、video等")
    private String type;
	/**所在页数*/
	@Excel(name = "所在页数", width = 15)
    @Schema(description = "所在页数")
    private Integer pageNumber;
	/**结果类型分组排名*/
	@Excel(name = "结果类型分组排名", width = 15)
    @Schema(description = "结果类型分组排名")
    private Integer rankGroup;
	/**自然全局排名*/
	@Excel(name = "自然全局排名", width = 15)
    @Schema(description = "自然全局排名")
    private Integer rankAbsolute;
	/**搜索日期*/
	@Excel(name = "搜索日期", width = 15)
    @Schema(description = "搜索日期")
    private String seDate;
	/**搜索时间*/
	@Excel(name = "搜索时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "搜索时间")
    private Date seDatetime;

    @TableField(exist = false)
    private String key;
}
