package org.jeecg.modules.adweb.seo.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: seo套餐订购
 * @Author: jeecg-boot
 * @Date:   2024-10-15
 * @Version: V1.0
 */
@Data
@TableName("seo_plan_subscription")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="seo套餐订购")
public class SeoPlanSubscription implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**站点*/
	@Excel(name = "站点", width = 15)
    @Schema(description = "站点")
    private String siteId;
	/**套餐*/
	@Excel(name = "套餐", width = 15)
    @Schema(description = "套餐")
    private String planId;
	/**创建人*/
    @Schema(description = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private Date createTime;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @Schema(description = "状态")
    private Integer status;
	/**方案使用者ID*/
	@Excel(name = "方案使用者ID", width = 15)
    @Schema(description = "方案使用者ID")
    private String usedUid;
	/**方案类型*/
	@Excel(name = "方案类型", width = 15)
    @Schema(description = "方案类型")
    private String planType;
	/**方案价格*/
	@Excel(name = "方案价格", width = 15)
    @Schema(description = "方案价格")
    private Double planPrice;
	/**方案编码*/
	@Excel(name = "方案编码", width = 15)
    @Schema(description = "方案编码")
    private String planCode;
	/**方案名称*/
	@Excel(name = "方案名称", width = 15)
    @Schema(description = "方案名称")
    private String planName;
	/**指定关键词最早达标时间*/
	@Excel(name = "指定关键词最早达标时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "指定关键词最早达标时间")
    private Date keywordsAchieveTime;
	/**是否续费*/
	@Excel(name = "是否续费", width = 15)
    @Schema(description = "是否续费")
    private Integer isRenew;
	/**是否自定义套餐开始时间*/
	@Excel(name = "是否自定义套餐开始时间", width = 15)
    @Schema(description = "是否自定义套餐开始时间")
    private Integer isCustom;
	/**套餐开启时间*/
	@Excel(name = "套餐开启时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "套餐开启时间")
    private Date planStartTime;
	/**服务开启时间*/
	@Excel(name = "服务开启时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "服务开启时间")
    private Date serviceStartTime;
	/**服务到期时间*/
	@Excel(name = "服务到期时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "服务到期时间")
    private Date serviceEndTime;
	/**套餐详情的服务时长的按钮切换*/
	@Excel(name = "套餐详情的服务时长的按钮切换", width = 15)
    @Schema(description = "套餐详情的服务时长的按钮切换")
    private Integer serviceStatus;
	/**套餐时长(单位：月份)*/
	@Excel(name = "套餐时长(单位：月份)", width = 15)
    @Schema(description = "套餐时长(单位：月份)")
    private Integer serviceMonth;
	/**0不需要提醒，1需要提醒*/
	@Excel(name = "0不需要提醒，1需要提醒", width = 15)
    @Schema(description = "0不需要提醒，1需要提醒")
    private Integer remind;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @Schema(description = "备注")
    private String remark;
	/**优化人uid*/
	@Excel(name = "优化人uid", width = 15)
    @Schema(description = "优化人uid")
    private String optimizerUid;
	/**赠送天数*/
	@Excel(name = "赠送天数", width = 15)
    @Schema(description = "赠送天数")
    private Integer giveDay;
	/**补偿天数*/
	@Excel(name = "补偿天数", width = 15)
    @Schema(description = "补偿天数")
    private Integer compensateDay;
}
