package org.jeecg.modules.adweb.seo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import org.jeecg.modules.adweb.seo.entity.SeoKeywords;
import org.jeecg.modules.adweb.seo.vo.RankInfoVO;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 关键词
 * @Author: jeecg-boot
 * @Date:   2024-10-15
 * @Version: V1.0
 */
public interface ISeoKeywordsService extends IService<SeoKeywords> {

    List<String> getKeywordsLastSevenDays(String userFlag, Integer keywordType, String historyId);

    RankInfoVO getSeoRankInfo(String siteCode, String historyId, Integer rankStart, Integer rankEnd, String dateStr, String keywordType);

    IPage<SeoKeywords> getKeywordList(IPage<SeoKeywords> page,
                                      Integer rankStart,
                                      Integer rankEnd,
                                      String keyword,
                                      String siteCode,
                                      Integer keywordType,
                                      boolean reachStandard,
                                      String historyId,
                                      String column,
                                      String order,
                                      String buttonColumn,
                                      String buttonSort,
                                      List<String> dateList) throws ParseException;

    IPage<SeoKeywords> pageList(Page<SeoKeywords> page, String siteCode, String keywords, String subscriptionId, String lastSearchTime, String createTime, Integer keywordType,
                                String column, String order, Integer keywordRank);
}
