package org.jeecg.modules.adweb.site.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: wordpress 配置信息
 * @Author:
 * @date
 */
@Data
public class WordPressConfig implements Serializable {

    /**
     * 站点code
     */
    private String siteCode;

    /**
     * wp站点域名
     */
    private String domain;

    /**
     * 物料模块是否嵌入WordPress，0：否；1：是
     */
    private Integer wordpressSwitch;

    /**
     * WordPress登录账户
     */
    private String wordpressName;

    /**
     * WordPress登录token
     */
    private String wordpressToken;

    /**
     * WordPress站点状态
     */
    private Integer status;

    /**
     * ssoResKey
     */
    private String ssoResKey;

    /**
     * wordpress配置
     */
    private String wordpressSetting;

    /**
     * openSetting
     */
    private List<String> openSetting;

    /**
     * productType   WP中产品类型
     */
    private String productType;

    /**
     * 是否按用户划分
     */
    private Integer userAccount;
}
