package org.jeecg.modules.adweb.site.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 站点权限表
 * @Author: liang
 * @Date:   2022-08-09
 * @Version: V1.0
 */
@Data
@TableName("adweb_site_permission")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="站点权限表")
public class AdwebSitePermission implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键id*/
	@TableId(type = IdType.AUTO)
    @Schema(description  = "主键id")
    private Integer id;
	/**站点code*/
    @Schema(description  = "站点code")
    private String siteCode;
	/**站点名*/
    @Schema(description  = "站点名")
    private String siteName;
	/**站点权限code*/
	@Schema(description  = "站点权限code")
	private String permissionCode;
	/**状态*/
	@Schema(description  = "状态")
	private Integer status;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@Schema(description  = "创建日期")
	private Date createTime;
}
