package org.jeecg.modules.adweb.site.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_user_wpsite
 * @Author: jeecg-boot
 * @Date:   2023-08-18
 * @Version: V1.0
 */
@Data
@TableName("adweb_user_wpsite")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_user_wpsite")
public class AdwebUserWpsite implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**站点id*/
	@Excel(name = "站点id", width = 15)
    @Schema(description = "站点id")
    @Dict(dictTable = "adweb_site",dicCode = "id",dicText = "name")
    private Integer siteId;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @Schema(description = "用户id")
    @Dict(dictTable = "sys_user",dicCode = "id",dicText = "realname")
    private String uid;
	/**用户账户名*/
	@Excel(name = "用户账户名", width = 15)
    @Schema(description = "用户账户名")
    private String username;
	/**加密后用户账户名(md5)*/
	@Excel(name = "加密后用户账户名(md5)", width = 15)
    @Schema(description = "加密后用户账户名(md5)")
    private String wpUsername;
	/**wp密码*/
	@Excel(name = "wp密码", width = 15)
    @Schema(description = "wp密码")
    private String wpUserpwd;
	/**wp用户角色*/
	@Excel(name = "wp用户角色", width = 15)
    @Schema(description = "wp用户角色")
    private String wpUserrole;

    /**
     * 状态 0：已删除 1：正常
     */
	private Integer status;

    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
