package org.jeecg.modules.adweb.subscribePlan.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: 网站营销方案套餐表
 * @Author: jeecg-boot
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("subscribe_plan")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="网站营销方案套餐表")
public class SubscribePlan implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private java.lang.String id;
	/**创建人*/
    @Schema(description = "创建人")
    private java.lang.String createBy;
	/**更新人*/
    @Schema(description = "更新人")
    private java.lang.String updateBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private java.util.Date createTime;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private java.util.Date updateTime;
	/**营销方案编码*/
	@Excel(name = "营销方案编码", width = 15)
    @Schema(description = "营销方案编码")
    private java.lang.String planCode;
	/**套餐类型*/
	@Excel(name = "套餐类型", width = 15)
    @Schema(description = "套餐类型")
    @Dict(dicCode = "dict_market_type")
    private java.lang.String marketType;
	/**套餐名称*/
	@Excel(name = "套餐名称", width = 15)
    @Schema(description = "套餐名称")
    private java.lang.String planName;
	/**关键词数量*/
	@Excel(name = "关键词数量", width = 15)
    @Schema(description = "关键词数量")
    private java.lang.Integer keywordCount;
	/**关键词达标目标*/
	@Excel(name = "关键词达标目标", width = 15)
    @Schema(description = "关键词达标目标")
    private java.lang.Integer target;
	/**服务时间*/
	@Excel(name = "服务时间", width = 15)
    @Schema(description = "服务时间")
    private java.lang.Integer serviceTime;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @Schema(description = "状态")
    private java.lang.Integer status;
	/**价格*/
	@Excel(name = "价格", width = 15)
    @Schema(description = "价格")
    private java.lang.Double price;

    /**文章数量*/
    @Excel(name = "文章数量", width = 15)
    @Schema(description = "文章数量")
    private java.lang.Integer article;

    /**博客数量*/
    @Excel(name = "博客数量", width = 15)
    @Schema(description = "博客数量")
    private java.lang.Integer blog;

    /**外链数量*/
    @Excel(name = "外链数量", width = 15)
    @Schema(description = "外链数量")
    private java.lang.Integer externalLinks;

    /**长尾词数量*/
    @Excel(name = "长尾词数量", width = 15)
    @Schema(description = "长尾词数量")
    private java.lang.Integer longTailKeyword;

    /**访问数量*/
    @Excel(name = "访问数量", width = 15)
    @Schema(description = "访问数量")
    private java.lang.Integer pageView;

    /**指定词数量*/
    @Excel(name = "指定词数量", width = 15)
    @Schema(description = "指定词数量")
    private java.lang.Integer specifyKeyword;
}
