package org.jeecg.modules.adweb.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: sys_exception
 * @Author: jeecg-boot
 * @Date:   2023-01-13
 * @Version: V1.0
 */
@Data
@TableName("sys_exception")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="sys_exception")
public class SysException implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**类型，0功能错误，1业务错误*/
	@Excel(name = "类型，0功能错误，1业务错误", width = 15)
    @Schema(description = "类型，0功能错误，1业务错误")
    private Integer type;
	/**功能模块*/
	@Excel(name = "功能模块", width = 15)
    @Schema(description = "功能模块")
    private String functionModule;
	/**异常详情*/
	@Excel(name = "异常详情", width = 15)
    @Schema(description = "异常详情")
    private String exceptionDetail;
	/**异常描述*/
	@Excel(name = "异常描述", width = 15)
    @Schema(description = "异常描述")
    private String exceptionDescription;
	/**参数*/
	@Excel(name = "参数", width = 15)
    @Schema(description = "参数")
    private String param;
	/**路径*/
	@Excel(name = "路径", width = 15)
    @Schema(description = "路径")
    private String url;
	/**返回结果*/
	@Excel(name = "返回结果", width = 15)
    @Schema(description = "返回结果")
    private String result;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
	/**1有效，0删除*/
	@Excel(name = "1有效，0删除", width = 15)
    @Schema(description = "1有效，0删除")
    private Integer status;
	/**1已解决，0未解决*/
	@Excel(name = "1已解决，0未解决", width = 15)
    @Schema(description = "1已解决，0未解决")
    private Integer handle;
    /**1最高，3最低*/
    @Excel(name = "1最高，3最低", width = 15)
    @Schema(description = "1最高，3最低")
    private Integer priority;

}
