package org.jeecg.modules.adweb.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adweb.system.entity.MasterSubAccountRelation;

import java.util.List;

/**
 * “Adweb会员”主账户和子账户对应关系
 */
public interface IMasterSubAccountRelationService extends IService<MasterSubAccountRelation> {
    /**
     * 通过子账户ID获取主账户ID
     * @param subId
     * @return
     */
    String getMasterAccountIdBySub(String subId);

    /**
     * 通过子账户ID获取主账户名
     * @param subId
     * @return
     */
    String getMasterAccountNameBySub(String subId);

    /**
     * 通过主账户ID获取子账户ID
     * @param masterId
     * @return
     */
    List<String> getSubAccountIdByMaster(String masterId);

    /**
     * 保存主账户和子账户ID
     * @param relation
     */
    void insertAccountRelation(MasterSubAccountRelation relation);

    /**
     * 根据uid获取一组uid，包括父账户和子账户
     *
     * @param uid 可以是父账户的uid，也可以是某一个子账户的uid
     * @return 根据uid获取一组uid
     */
    List<String> getUidList(String uid);
}
