package org.jeecg.modules.adweb.system.service;

import org.jeecg.common.system.vo.DictPropertyModel;
import org.jeecg.modules.system.entity.SysDictItem;

import java.util.List;

public interface SysAdwebApi {

    boolean isAdmin();

    boolean isOem();

    List<String> getOemGroupUids();

    /**
     * 判断输入站点是否属于当前用户
     * @param siteId
     * @return
     */
    boolean isNotOwnSite(Integer siteId);

    /**
     * 判断输入站点是否属于当前用户
     * @param siteCode
     * @return
     */
    boolean isNotOwnSite(String siteCode);


    /**
     * 判断一个用户是否是adweb会员
     */
    boolean isAdwebVip();

    /**
     * 判断一个用户是否是adweb子会员
     */
    boolean isAdwebSubVip();

    /**
     * 38根据字典code获取字典信息
     *
     * @return
     */
    public List<DictPropertyModel> queryDictInfoByDictCode(String dictCode);

    List<SysDictItem> selectItemsByDictCode(String mainId);
}
