package org.jeecg.modules.adweb.theme.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: adweb主题库
 * @Author: jeecg-boot
 * @Date: 2024-09-30
 * @Version: V1.0
 */
@Data
@TableName("adweb_theme")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "adweb主题库")
public class AdwebTheme implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private java.lang.String id;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private java.lang.String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private java.util.Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private java.lang.String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private java.util.Date updateTime;
    /**
     * 模板名称
     */
    @Excel(name = "模板名称", width = 15)
    @Schema(description = "模板名称")
    private java.lang.String name;
    /**
     * 上架状态：0:未上架；1：已上架；默认0
     */
    @Excel(name = "上架状态：0:未上架；1：已上架；默认0", width = 15)
    @Schema(description = "上架状态：0:未上架；1：已上架；默认0")
    private java.lang.Integer putaway;
    /**
     * 图片路径
     */
    @Excel(name = "图片路径", width = 15)
    @Schema(description = "图片路径")
    private java.lang.String images;
    /**
     * 模板价格
     */
    @Excel(name = "模板价格", width = 15)
    @Schema(description = "模板价格")
    private java.math.BigDecimal templatePrice;
    /**
     * 模板标签
     */
    @Excel(name = "模板标签", width = 15)
    @Schema(description = "模板标签")
    private java.lang.String templateTags;
    /**
     * 主题颜色ID
     */
    @Excel(name = "主题颜色ID", width = 15)
    @Schema(description = "主题颜色ID")
    private java.lang.Integer templateColorId;
    /**
     * 站点域名
     */
    @Excel(name = "站点域名", width = 15)
    @Schema(description = "站点域名")
    private java.lang.String domain;
    /**
     * 站点备注
     */
    @Excel(name = "站点备注", width = 15)
    @Schema(description = "站点备注")
    private java.lang.String descirbe;
    /**
     * 站点code,生成6位长度随机码，取值范围[a-z0-9],保证系统唯一
     */
    @Excel(name = "站点code,生成6位长度随机码，取值范围[a-z0-9],保证系统唯一", width = 15)
    @Schema(description = "站点code,生成6位长度随机码，取值范围[a-z0-9],保证系统唯一")
    private java.lang.String code;
}
