package org.jeecg.modules.adweb.userCountry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_user_country
 * @Author: jeecg-boot
 * @Date:   2022-08-19
 * @Version: V1.0
 */
@Data
@TableName("adweb_user_country")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_user_country")
public class AdwebUserCountry implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @Schema(description = "用户id")
    private String uid;
	/**父用户id*/
	@Excel(name = "父用户id", width = 15)
    @Schema(description = "父用户id")
    private String masterUid;
    private Integer siteId;
	/**国家id*/
	@Excel(name = "国家id", width = 15)
    @Schema(description = "国家id")
    private Integer countryId;
	/**1有效 0无效*/
	@Excel(name = "1有效 0无效", width = 15)
    @Schema(description = "1有效 0无效")
    private Integer status;
	/**创建世家*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "创建世家")
    private Date createTime;
}
