package org.jeecg.modules.adweb.userCountry.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.adweb.userCountry.dto.SubUser;
import org.jeecg.modules.adweb.userCountry.entity.AdwebUserCountry;

import java.util.List;

/**
 * @Description: adweb_user_country
 * @Author: jeecg-boot
 * @Date:   2022-08-19
 * @Version: V1.0
 */
public interface AdwebUserCountryMapper extends BaseMapper<AdwebUserCountry> {

    /**
     * 获取子账户列表
     *
     * @param uid 父账户id
     * @return 子账户列表
     */
    IPage<SubUser> getSubUserList(IPage<SubUser> page, String uid, List<Integer> siteIds);

    /**
     * 获取子账户列表2，作为下拉框选项，只需要部分字段
     *
     * @param uid 父账户id
     * @return 子账户列表
     */
    List<SubUser> getSubUserOptions(String uid);
}
