package org.jeecg.modules.adweb.userCountry.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adweb.userCountry.entity.AdwebUserCountry;

import java.util.List;

/**
 * @Description: adweb_user_country
 * @Author: jeecg-boot
 * @Date:   2022-08-19
 * @Version: V1.0
 */
public interface IAdwebUserCountryService extends IService<AdwebUserCountry> {

    /**
     * 根据子账户的id获取分配给其负责的国家列表
     *
     * @param id 子账户id
     * @return 国家id列表
     */
    List<Integer> getCountryIdsBySubId(String id);

    /**
     * 根据子账户的id获取分配给其负责的国家列表
     *
     * @param id     子账户id
     * @param siteId 站点id
     * @return 国家code列表
     */
    List<String> getCountryCodesBySubId(String id, Integer siteId);

}
